Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface RescheduleDirectiveParams

All Superinterfaces:
  DirectiveParams, java.io.Serializable

All Known Implementing Classes:
  WCM_RescheduleDirectiveParams

    public interface RescheduleDirectiveParams

extends DirectiveParams

The `RescheduleDirectiveParams` object is used to specify arguments or options to a 'Reschedule' Directive.

To create a new `RescheduleDirectiveParams` object call `Directives.RESCHEDULE.createDirectiveParams()` and cast the returned object to `RescheduleDirectiveParams`

To use a `RescheduleDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1

Method Summary
`java.util.Date` | `getRescheduleDate()` Returns the specified 'Reschedule Date'
`boolean` | `isRescheduleOnly()` Indicates whether the current action has just rescheduled itself (true) OR additionally modified the document (false)
`void` | `setRescheduleDate(java.util.Date rescheduleDate)` Specifies the date that the Reschedule Directive should reschedule the current workflow action
`void` | `setRescheduleOnly(boolean rescheduleOnly)` Specifies whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

Method Detail

### setRescheduleDate

    void setRescheduleDate(java.util.Date rescheduleDate)

  Specifies the date that the Reschedule Directive should reschedule the current workflow action

  Parameters:
    `rescheduleDate` - the date that the Reschedule Directive should reschedule the current workflow action

### getRescheduleDate

    java.util.Date getRescheduleDate()

  Returns the specified 'Reschedule Date'

  Returns:
    the specified 'Reschedule Date'. Can be `Null` if no reschedule date has been specified

### setRescheduleOnly

    void setRescheduleOnly(boolean rescheduleOnly)

  Specifies whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

  Used to optimize document save and avoid unnecessary versions, jms-messages and syndication

  Note: When true, only the workflow action state is persisted which ignores any changes made to the document from this action. If your reschedule logic is based on a field on the document (and/or modification date) then you should not set this to true

  Parameters:
    `rescheduleOnly` - true if the action didn't also modify the document, false otherwise

### isRescheduleOnly

    boolean isRescheduleOnly()

  Indicates whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

  Defaults to 'false'

  Returns:
    true if the action didn't also modify the document, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD